/*
 * Name:     CHaroldFactory.h
 *
 *
 * Class:    CHaroldFactory
 * Impl:     CHaroldFactory.cpp
 * Created : Feb 26, 2010
 * Author :  Kenji Aono
 */

#pragma once
#ifndef CHAROLDFACTORY_H_
#define CHAROLDFACTORY_H_

#include "CActorFactory.h"

/*
 * Class:    CHaroldFactory
 * 
 */
class CHaroldFactory : public CActorFactory
{
public:
	CHaroldFactory();
	virtual ~CHaroldFactory();

	CActor* Create();
};

#endif /* CHAROLDFACTORY_H_ */
