/*
 * Name:     CHead.cpp
 *
 *
 * Class:    CHead
 * Header:   CHead.h
 * Created : Feb 26, 2010
 * Author :  Kenji Aono
 */

#include "wx/prec.h"
#include "CHead.h"

/*
 * Name :        CHead::CHead()
 * Description : Head (ImagedDrawable) class constructor.
 */
//CHead::CHead()
//{
//}

/*
 * Name :        CHead::CHead()
 * Description : Constructor for an image-based drawable of a head.
 */

CHead::CHead(const std::wstring &name, const std::wstring &filename) : CImageDrawable(name, filename)
{
    mImage.LoadFile(filename.c_str());
    SetCenter(wxPoint(0, 0));
}

/*
 * Name :        CHead::~CHead()
 * Description : Head (ImagedDrawable) class destructor.
 */
CHead::~CHead()
{
}
