/*
 * Name:     CPolyDrawable.h
 *
 *
 * Class:    CPolyDrawable
 * Impl:     CPolyDrawable.cpp
 * Created : Feb 26, 2010
 * Author :  Kenji Aono
 */

#pragma once
#ifndef CPOLYDRAWABLE_H_
#define CPOLYDRAWABLE_H_

#include "CDrawable.h"
#include <vector>
/*
 * Class:    CPolyDrawable
 * 
 */
class CPolyDrawable : public CDrawable
{
public:
	CPolyDrawable(const std::wstring &name);
	virtual ~CPolyDrawable();

	virtual void Draw(wxDC *dc);

	virtual bool HitTest(wxPoint pos);
    void AddPoint(wxPoint point) {mPoints.push_back(point);}

	void SetColor(wxColour c) {mColor = c;}

private:
	//CPolyDrawable();

	std::vector<wxPoint> mPoints;
	wxColour mColor;
};

#endif /* CPOLYDRAWABLE_H_ */
